# Banks

The ASPSP Information Service retrieves a list of all ASPSPs (banks and financial institutions) currently supported by the Open Payments platform. This allows your application to display available banks to the PSU before creating consents or initiating payments.

> Requests to the ASPSP Information Service API require an [access token](get_access_token.md) with `scope` set to `aspspinformation` `corporate`. 

##

### 1. Get ASPSP List

This request allows you to retrieve a list of supported ASPSPs, optionally filterable by country via the `isoCountryCodes` query parameter. 

#### Endpoint

```http
GET /psd2/aspspinformation/v1/aspsps
```

#### Query Parameters

| Name              | Type  | Description                                           |
| ----------------- | ----- | ----------------------------------------------------- |
| `isoCountryCodes` | array | ISO Country Codes for the countries to get banks for. |

#### Request Headers

| Name           | Type         | Description                                                                       |
| -------------- | ------------ | --------------------------------------------------------------------------------- |
| `X-Request-ID` | string(uuid) | The ID of the request, unique to the call, as determined by the initiating party. |

```bash
curl -X GET "https://api.openbankingplatform.com/psd2/aspspinformation/v1/aspsps?isoCountryCodes=SE" \
  -H "Authorization: Bearer <ACCESS_TOKEN>" \
  -H "X-Request-ID: 0388a0b5-c8e4-4c37-89ae-058b74899170"
```

#### Response
```json
{
  "aspsps": [
    {
      "bicFi": "ESSESESS",
      "name": "Skandinaviska Enskilda Banken AB",
      "logoUrl": "https://opeopenbanking.blob.core.windows.net/images/ESSESESS.jpg"
    },
    {
      "bicFi": "HANDSESS",
      "name": "Handelsbanken",
      "logoUrl": "https://opeopenbanking.blob.core.windows.net/images/HANDSESS.svg"
    },
    {
      "bicFi": "NDEASESS",
      "name": "Nordea Bank AB",
      "logoUrl": "https://opeopenbanking.blob.core.windows.net/images/NDEASESS.png"
    },
    {
      "bicFi": "SWEDSESS",
      "name": "Swedbank",
      "logoUrl": "https://opeopenbanking.blob.core.windows.net/images/SWEDSESS.png"
    }
  ]
}        
```

You now have a list of Swedish banks that you can use to create a UI that let your PSU select a bank to authenticate to.

:::zap 

Cache the list instead of making this request each time you want to present available banks for the PSU.

:::

### 2. Get ASPSP Details

Next, you can fetch details for a specific bank in the list, such as its supported authorisation methods and its capabilities and constraints relating to account information and payment initiation. This allows you to understand what functionality is available at the bank when making requests on behalf of the PSU. 

#### Endpoint

```http
GET /psd2/aspspinformation/v1/aspsps/{bicFi}
```

#### Path Parameters

| Name    | Type   | Description          |
| ------- | ------ | -------------------- |
| `bicFi` | string | The BIC of the bank. |

#### Request Headers

| Name           | Type         | Description                                                                       |
| -------------- | ------------ | --------------------------------------------------------------------------------- |
| `X-Request-ID` | string(uuid) | The ID of the request, unique to the call, as determined by the initiating party. |

```bash
curl -X GET "https://api.openbankingplatform.com/psd2/aspspinformation/v1/aspsps/SWEDSESS" \
  -H "Authorization: Bearer <ACCESS_TOKEN>" \
  -H "X-Request-ID: f87a6512-7569-4108-8f86-286c3e4c2b79"
```

#### Response 

```json 
{
  "bicFi": "SWEDSESS",
  "name": "Swedbank",
  "logoUrl": "https://opeopenbanking.blob.core.windows.net/images/SWEDSESS.jpg",
  "city": "Stockholm",
  "country": "Sweden",
  "postalCode": "105 34",
  "streetAddress": "Landsvägen 40",
  "companyNumber": "502017-7753",
  "phone": "+46-8-585 900 00",
  "websiteUrl": "https://www.swedbank.se",
  "globalPaymentProducts": [
    "domestic",
    "swedish-giro"
    "cross-border"
  ],
  "supportedAuthorizationMethods": [
    {
      "name": "OAuth2",
      "uri": "https://auth.openbankingplatform.com/.well-known/openid-configuration"
    },
    {
      "name": "Decoupled",
      "uri": ""
    }
  ],
  "affiliatedAspsps": [
    {
      "id": "08191",
      "name": "Sparbanken Bergslagen AB"
    },
    {
      "id": "08024",
      "name": "Bjursås Sparebank"
    }
  ],
  "accountInformation": {
    "transactionHistoryMaxDays": 88,
    "extendedTransactionHistoryMaxDays": 760,
    "extendedTransactionHistoryAvailableWindowMinutes": 60
  },
  "paymentInitiation": {
    "signingBasketsSupported": true,
    "signingBasketLimit": 100
  }
}
```